petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatMPIAIJGetLocalMat

Creates a SeqAIJ from a MATMPIAIJ matrix by taking all its local rows and putting them into a sequential matrix with mlocal rows and n columns. Where mlocal is the row count obtained with MatGetLocalSize() and n is the global column count obtained with MatGetSize()

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMPIAIJGetLocalMat(Mat A,MatReuse scall,Mat *A_loc)

Not Collective

### Input Parameters

| A | - the matrix
| scall | - either MAT_INITIAL_MATRIX or MAT_REUSE_MATRIX

### Output Parameter

| A_loc | - the local sequential matrix generated

### See Also

MatGetOwnerShipRange(), MatMPIAIJGetLocalMatCondensed()

### Level

developer

### Location

src/mat/impls/aij/mpi/mpiaij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages